PROGNAME(1)

NAME
PROGNAME - rename files to all PROGNAME filenames

SYNOPSIS
PROGNAME [-g(it)] [-h(elp)] [-q(uiet)] [-x(tension_only)] [-X(tensions_only)] [-v(erbose)[ file...

DESCRIPTION
PROGNAME renames files to all PROGNAME filenames. If a filespec containing path information is send to PROGNAME, only the filename portion itself will be renamed.

OPTIONS

-g  Rename files using "git mv" instead of perl's internal rename function.

-h  Print help and quit.

-q  Be quiet. Suppress the usual messages that describe file renames that actually occur.

-v  Be verbose. Generate messages for file renames that are skipped because the name does not change.

-x  Change the case of the main file extension only. This yields different results from the -X option only when a file has multiple extensions, e.g. ".Tar.Lz". Files that begin with "." (e.g. ".bashrc") will not be renamed.

-X  Change the case of all file extensions. This yields different results from the -x option only when a file has multiple extensions, like ".Tar.Lz". Files that begin with "." (like ".bashrc") will be renamed.

EXAMPLES
PROGNAME is quite simple to use, as shown in the examples below:
    PROGNAME FOObar_A.JPG fooBAR_B.png
    PROGNAME -x Source_A.Tar.Lz
    PROGNAME -X Source_B.Tar.Lz However, if you're trying to rename an entire directory hierarchy, including the directories, the best way to handle it is probably as follows:
    find . -depth -mindepth 1 -type d -print0 | xargs -0 PROGNAME
    find . -type f -print0 | xargs -0 PROGNAME

BUGS
Symbolic links are not well handled by PROGNAME. For example, suppose you have a file called "FOObar" and a symbolic link called "BARfoo" pointing to it. If you rename both of them using PROGNAME, the symlink will become broken, as it will still point to "FOObar".

SEE ALSO
convmv(1), git(1)

COPYRIGHT
Copyright (C) 2005-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.